# Inbox chat message events

## Inbox chat message events

There are the following two push events to subscribe to if needed:

**chat\_mt\_message\_notify (chatroom downstream message received)**&#x20;

**chat\_mo\_message\_notify (chatroom upstream message received)**

### Parameter description

<table data-header-hidden><thead><tr><th></th><th></th><th width="173.48046875"></th><th></th></tr></thead><tbody><tr><td>Field</td><td>Data type</td><td>Required</td><td>Description</td></tr><tr><td>wabaId</td><td>String</td><td>Yes</td><td>Waba Id</td></tr><tr><td>from</td><td>String</td><td>Yes</td><td>Enterprise Sender</td></tr><tr><td>to</td><td>String</td><td>Yes</td><td>User WhatsApp number</td></tr><tr><td>messageType</td><td>String</td><td>Yes</td><td>Message type</td></tr><tr><td>context</td><td>Object</td><td>Yes</td><td>Message content</td></tr><tr><td>wamid</td><td>String</td><td>No</td><td>Meta message ID</td></tr><tr><td>conversationId</td><td>String</td><td>No</td><td>Conversation ID (InnoPaaS chatroom conversation ID)</td></tr><tr><td>uid</td><td>String</td><td>No</td><td>User-defined ID</td></tr></tbody></table>

### **chat\_mt\_message\_notify**&#x20;

**Downstream message example**

<pre class="language-json"><code class="lang-json">{
    "id": "b5e984b3-21b2-42a9-b08b-72e5a4096ac6",
<strong>    "type": "chat_mt_message_notify",
</strong>    "eventTime": "2023-02-22T12:00:00.000Z",
    "body": {
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "from": "wamid.BgNODYxN...",
        "to": "PHONE-NUMBER",
         "messageType": "text",
         "context": {
             "text":"this is test message"
           },
        "wamid": "wamid.BgNODYxN...",
        "conversationId": "12312312312312",
        "uid":"123123123123123213123"
    }
}
</code></pre>

### **chat\_mo\_message\_notify**&#x20;

**Upstream message example**

<pre class="language-json"><code class="lang-json">{
    "id": "b5e984b3-21b2-42a9-b08b-72e5a4096ac6",
<strong>    "type": "chat_mo_message_notify",
</strong>    "eventTime": "2023-02-22T12:00:00.000Z",
    "body": {
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "from": "wamid.BgNODYxN...",
        "to": "PHONE-NUMBER",
         "messageType": "text",
         "context": {
             "text":"this is test message"
           },
        "wamid": "wamid.BgNODYxN...",
        "conversationId": "12312312312312",
        "uid":"123123123123123213123"
    }
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/inbox-chat-message-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
